trade-position
Retrieve position information for an account.
Authorization
Bearer Enter the JWT token in the format Bearer <token>.
In: header
Header Parameters
The format of the request body content. Primarily application/json.
Information about the client sending the request.
The desired response language. If this header is absent, the system will default to en
Query Parameters
The 6-digit account that identifies the customer at SSI. If the account number is 003C123888 then clientId = 123888
The trading account for which to retrieve position information. Accounts ending in 1, 6, 8 respectively (CASH, MARGIN, DERIVATIVE) will have different position information.
If true, returns derivative position summary. If false, returns detailed positions. Only applicable for derivative accounts. Default is true.
Response Headers
The request limit within the cycle.
The number of requests remaining in the current cycle.
The time at which the request limit resets.
Response Body
application/json
application/json
curl -X GET "https://api.ssi.com.vn/api/v3/trading/position?accountNo=string" \ -H "Content-Type: application/json"Success
{
"data": {
"equity": [
{
"accountNo": "string",
"symbol": "string",
"quantity": "string",
"blockQuantity": "string",
"dividendQuantity": "string",
"buyingQuantity": "string",
"boughtQuantity": "string",
"sellingQuantity": "string",
"soldQuantity": "string",
"t1SellQuantity": "string",
"t2SellQuantity": "string",
"t1BuyQuantity": "string",
"t2BuyQuantity": "string",
"costPrice": "string",
"mortgageQuantity": "string",
"sellableQuantity": "string",
"restrictedQuantity": "string"
}
],
"derivative": {
"accountNo": "string",
"derOpenPositions": [
{
"symbol": "string",
"long": "string",
"short": "string",
"net": "string",
"bidAvgPrice": "string",
"askAvgPrice": "string",
"tradePrice": "string",
"tradingPL": "string",
"floatingPL": "string"
}
],
"derClosePositions": [
{
"symbol": "string",
"long": "string",
"short": "string",
"net": "string",
"bidAvgPrice": "string",
"askAvgPrice": "string",
"tradePrice": "string",
"tradingPL": "string",
"floatingPL": "string"
}
]
}
}
}Invalid request.
{
"code": "400",
"msg": "Invalid request"
}trade-order-batch-cancelDELETE
Cancel multiple orders in a single request (Batch Order). The same general rules as batch order placement apply (up to 50 orders, all-or-nothing validation, 30-second replay window, idempotency by `batchRequestId`, signature over the entire body). Each order in `orders` follows the same rules as the single-order API `trade-order-cancel` (the order is identified by `clientRequestId` or `orderId`). **Required scope:** `trading:order:delete`.
trade-maxbuysellGET
Retrieve the maximum buy/sell quantity by account, symbol, and price.